Error: "It seems that you have corrupted stubs in your RubyMine or Ruby plugin installation. Please Reinstall!"

My machine locked up and I was forced to do a hard restart while RubyMine was open. When I restarted and launched RubyMine it gives me this error:

"It seems that you have corrupted stubs in your RubyMine or Ruby plugin installation. Please Reinstall!"

If I click OK and let it go, IDE seems to work alright but all the rspec integration stops working. I have tried deleting RubyMine.app and replacing it with a freshly downloaded version (2.0.2). I've tried deleting the ruby interpreter from the config and adding it again. Both these folders appear in the .app: rubystubs18/ rubystubs19/

Attached is the log. I can provide more information as required. Thank you.



Attachment(s):
idea.log.zip
2 comments

Just a wild guess: Have you tried File -> Invalidate Caches, then restart?

On 25.08.2010 20:30, Kevin M wrote:

My machine locked up and I was forced to do a hard restart while RubyMine was open. When I restarted and launched RubyMine it gives me this error:

>

"It seems that you have corrupted stubs in your RubyMine or Ruby plugin installation. Please Reinstall!"

>

If I click OK and let it go, IDE seems to work alright but all the rspec integration stops working. I have tried deleting RubyMine.app and replacing it with a freshly downloaded version (2.0.2). I've tried deleting the ruby interpreter from the config and adding it again. Both these folders appear in the .app: rubystubs18/ rubystubs19/

>

Attached is the log. I can provide more information as required. Thank you.

>

---
Original message URL: http://devnet.jetbrains.net/message/5270975#5270975


0

> Just a wild guess: Have you tried File -> Invalidate Caches, then restart?

Jackpot. I did not know that feature existed.

Thank you very much.

0

Please sign in to leave a comment.